%define module llfuse

Name:               python-%{module}
Version:            1.3.6
Release:            %mkrel 2
Summary:            Python Bindings for the low-level FUSE API
Group:              Development/Python
License:            LGPLv2+
URL:                https://github.com/python-llfuse/python-llfuse/
Source0:            https://pypi.io/packages/source/l/llfuse/%{module}-%{version}.tar.bz2
Patch0:             python3.8.patch
BuildRequires:      pkgconfig(fuse)
BuildRequires:      python3-devel
BuildRequires:      python3dist(setuptools)
BuildRequires:      python3dist(cython)

%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python3-%{module}
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf src/%{module}.egg-info

# re-generate sources
find . -type f -name "llfuse.c" -print -delete

%build
%__python3 setup.py build_cython
%py3_build

rm doc/html/.buildinfo

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc Changes.rst doc/html
%{python3_sitearch}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.3.6-2.mga8
+ Revision: 1531067
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 1.3.6-1.mga8
+ Revision: 1438955
- new version 1.3.6
- drop python2 support
- rebuild for python3.8

* Wed Jan 09 2019 kekepower <kekepower> 1.3.5-1.mga7
+ Revision: 1352932
- Removed merged Patch0
- Update to version 1.3.5
- Rebuild for Python 3.7
+ tv <tv>
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1300518
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1203545
- new version: 1.3.2
- rename python-llfuse to python2-llfuse
- add patch to replace <attr/xattr.h> with <sys/xattr.h>
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sat Aug 05 2017 philippem <philippem> 0.41.1-4.mga7
+ Revision: 1135466
- rebuild for Python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.41.1-3.mga6
+ Revision: 958617
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.41.1-2.mga6
+ Revision: 889153
- rebuild for python 3.5

* Tue Sep 29 2015 philippem <philippem> 0.41.1-1.mga6
+ Revision: 885194
- imported package python-llfuse

